Skip to main content
GET
/
v2
/
telematics
/
ref-hos-violation-codes
List HOS Violation Codes
curl --request GET \
  --url https://api.catenatelematics.com/v2/telematics/ref-hos-violation-codes \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "violation_code": "<string>",
      "category": "<string>",
      "name": "<string>",
      "description": "<string>"
    }
  ],
  "total": 1,
  "current_page": "<string>",
  "current_page_backwards": "<string>",
  "previous_page": "<string>",
  "next_page": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

cursor
string | null

Cursor for the next page

size
integer
default:300

Page size

Required range: 1 <= x <= 1000

Response

Successful Response

items
RefHosViolationCode · object[]
required
total
integer
required
Required range: x >= 0
current_page
string | null

Cursor to refetch the current page

current_page_backwards
string | null

Cursor to refetch the current page starting from the last item

previous_page
string | null

Cursor for the previous page

next_page
string | null

Cursor for the next page